Export a Session Bundle
curl --request GET \
--url https://api.checkfu.com/v1/sessions/{id}/bundle \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/sessions/{id}/bundle"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/sessions/{id}/bundle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/sessions/{id}/bundle",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/sessions/{id}/bundle"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/sessions/{id}/bundle")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/sessions/{id}/bundle")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"format": "checkfu.session-bundle",
"schema_version": 3,
"wire_version": "<string>",
"session_id": "<string>",
"workspace_id": "<string>",
"exported_at": "<string>",
"inspector_views": [
"session",
"events",
"unavailable",
"graph",
"recovery",
"learning"
],
"manifest": {
"statement": {
"format_id": "checkfu.session-bundle",
"schema_version": 3,
"authority": "server_bundle_projector",
"workspace_id": "<string>",
"session_id": "<string>",
"created_at": "<string>",
"high_water": {
"through_sequence": 4503599627370495,
"through_event_id": "<string>",
"event_log_digest": "<string>"
},
"capture_policy_digest": "<string>",
"source_boundary": {
"lifecycle": "open",
"closing_event_id": null,
"closing_event_type": null
},
"signing_identity": "deployment_pinned",
"census": [
{
"path": "session.json",
"byte_count": 536870912,
"row_count": 4503599627370495
}
],
"section_coverage": [
{
"path": "session.json",
"sources": [
{
"source": "event_log",
"status": "complete"
}
]
}
],
"omitted_bodies": [
"<string>"
]
},
"signature": {
"algorithm": "ed25519",
"key_id": "<string>",
"statement_digest": "<string>",
"signature": "<string>"
}
},
"integrity": {
"statement": {
"format_id": "checkfu.session-bundle",
"schema_version": 3,
"authority": "server_bundle_projector",
"workspace_id": "<string>",
"session_id": "<string>",
"manifest_digest": "<string>",
"recorded_at": "<string>",
"sections": [
{
"path": "manifest.json",
"sha256": "<string>",
"byte_count": 536870912
}
]
},
"signature": {
"algorithm": "ed25519",
"key_id": "<string>",
"statement_digest": "<string>",
"signature": "<string>"
}
},
"sections": {
"session.json": {
"session_id": "<string>",
"workspace_id": "<string>",
"projection": "event_coverage",
"projector_key_id": "<string>",
"projector_public_key": "<string>"
},
"events.ndjson": [
{
"id": "<string>",
"seq": 123,
"schema_version": 52,
"created_at": "<string>",
"type": "user.message",
"payload": {
"content": "<string>",
"authored_by": "<string>",
"caused_by": {
"kind": "api",
"request_id": "<string>"
},
"attachments": [
"<string>"
],
"prompt_integrity": {
"analyzer_version": "unicode-17.0.0-uts39-r32-checkfu-1",
"disposition": "accepted_normalization",
"original_digest": "<string>",
"findings": [
{
"kind": "mixed_script_confusable",
"utf16_offset": 1,
"code_point": "<string>",
"replacement": "<string>",
"answer_id": "<string>",
"value_index": 1
}
]
},
"connected_runtime": "<string>",
"run_delivery": "next_run",
"host_context": {
"source": "<string>",
"data": {}
}
},
"attested": true
}
],
"unavailable.ndjson": [
{
"seq": 123,
"content_class": "message",
"reason": "shredded",
"structural_replay": "complete",
"replay_fact": {
"version": 2,
"seq": 123,
"kind": "state_neutral"
},
"prompt_integrity": {
"analyzer_version": "unicode-17.0.0-uts39-r32-checkfu-1",
"disposition": "accepted_normalization"
}
}
],
"actors.ndjson": [
{
"session_id": "<string>",
"actor_id": "<string>",
"session_thread_id": "<string>",
"first_sequence": 4503599627370495,
"last_sequence": 4503599627370495,
"event_count": 4503599627370495
}
],
"work-units.ndjson": [
{
"session_id": "<string>",
"work_unit_id": "<string>",
"owner_actor_id": "<string>",
"first_sequence": 4503599627370495,
"last_sequence": 4503599627370495,
"event_count": 4503599627370495
}
],
"interactions.ndjson": [
{
"id": "<string>",
"session_id": "<string>",
"interaction_type": "message",
"sender_actor_id": "<string>",
"sender_thread_id": "<string>",
"receiver_actor_id": "<string>",
"receiver_thread_id": "<string>",
"work_unit_id": "<string>",
"originating_event_id": "<string>",
"mirrored_event_ids": [
"<string>"
],
"content_artifact_ids": [
"<string>"
],
"delivery": "pending",
"terminal_event_id": "<string>"
}
],
"context-snapshots.ndjson": [
{
"boundary_event_id": "<string>",
"boundary_sequence": 4503599627370495,
"boundary_type": "condensation",
"through_sequence": 4503599627370495,
"condensed": {
"user_messages": 1,
"agent_messages": 1
},
"kept": {
"user_messages": 1,
"agent_messages": 1,
"content_length": 1
},
"digest": "<string>"
}
],
"artifacts/index.ndjson": [
{
"artifact_id": "<string>",
"sha256": "<string>",
"byte_count": 536870912,
"disposition": {
"disposition": "retained"
},
"provenance_role": "model_io"
}
],
"continuation-capsules/index.ndjson": [
{
"capsule_id": "<string>",
"sha256": "<string>",
"byte_count": 536870912,
"disposition": {
"disposition": "retained"
},
"provenance_role": "handoff_evidence"
}
]
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "runtime.session_history_unavailable",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-session-history-unavailable"
}
}{
"error": {
"type": "validation.range_too_large",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-range-too-large"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Export a Session Bundle
Exports one Session as a checkfu.session-bundle document, distinct from the event-tape checkfu.session-export.
GET
/
v1
/
sessions
/
{id}
/
bundle
Export a Session Bundle
curl --request GET \
--url https://api.checkfu.com/v1/sessions/{id}/bundle \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/sessions/{id}/bundle"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/sessions/{id}/bundle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/sessions/{id}/bundle",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/sessions/{id}/bundle"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/sessions/{id}/bundle")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/sessions/{id}/bundle")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"format": "checkfu.session-bundle",
"schema_version": 3,
"wire_version": "<string>",
"session_id": "<string>",
"workspace_id": "<string>",
"exported_at": "<string>",
"inspector_views": [
"session",
"events",
"unavailable",
"graph",
"recovery",
"learning"
],
"manifest": {
"statement": {
"format_id": "checkfu.session-bundle",
"schema_version": 3,
"authority": "server_bundle_projector",
"workspace_id": "<string>",
"session_id": "<string>",
"created_at": "<string>",
"high_water": {
"through_sequence": 4503599627370495,
"through_event_id": "<string>",
"event_log_digest": "<string>"
},
"capture_policy_digest": "<string>",
"source_boundary": {
"lifecycle": "open",
"closing_event_id": null,
"closing_event_type": null
},
"signing_identity": "deployment_pinned",
"census": [
{
"path": "session.json",
"byte_count": 536870912,
"row_count": 4503599627370495
}
],
"section_coverage": [
{
"path": "session.json",
"sources": [
{
"source": "event_log",
"status": "complete"
}
]
}
],
"omitted_bodies": [
"<string>"
]
},
"signature": {
"algorithm": "ed25519",
"key_id": "<string>",
"statement_digest": "<string>",
"signature": "<string>"
}
},
"integrity": {
"statement": {
"format_id": "checkfu.session-bundle",
"schema_version": 3,
"authority": "server_bundle_projector",
"workspace_id": "<string>",
"session_id": "<string>",
"manifest_digest": "<string>",
"recorded_at": "<string>",
"sections": [
{
"path": "manifest.json",
"sha256": "<string>",
"byte_count": 536870912
}
]
},
"signature": {
"algorithm": "ed25519",
"key_id": "<string>",
"statement_digest": "<string>",
"signature": "<string>"
}
},
"sections": {
"session.json": {
"session_id": "<string>",
"workspace_id": "<string>",
"projection": "event_coverage",
"projector_key_id": "<string>",
"projector_public_key": "<string>"
},
"events.ndjson": [
{
"id": "<string>",
"seq": 123,
"schema_version": 52,
"created_at": "<string>",
"type": "user.message",
"payload": {
"content": "<string>",
"authored_by": "<string>",
"caused_by": {
"kind": "api",
"request_id": "<string>"
},
"attachments": [
"<string>"
],
"prompt_integrity": {
"analyzer_version": "unicode-17.0.0-uts39-r32-checkfu-1",
"disposition": "accepted_normalization",
"original_digest": "<string>",
"findings": [
{
"kind": "mixed_script_confusable",
"utf16_offset": 1,
"code_point": "<string>",
"replacement": "<string>",
"answer_id": "<string>",
"value_index": 1
}
]
},
"connected_runtime": "<string>",
"run_delivery": "next_run",
"host_context": {
"source": "<string>",
"data": {}
}
},
"attested": true
}
],
"unavailable.ndjson": [
{
"seq": 123,
"content_class": "message",
"reason": "shredded",
"structural_replay": "complete",
"replay_fact": {
"version": 2,
"seq": 123,
"kind": "state_neutral"
},
"prompt_integrity": {
"analyzer_version": "unicode-17.0.0-uts39-r32-checkfu-1",
"disposition": "accepted_normalization"
}
}
],
"actors.ndjson": [
{
"session_id": "<string>",
"actor_id": "<string>",
"session_thread_id": "<string>",
"first_sequence": 4503599627370495,
"last_sequence": 4503599627370495,
"event_count": 4503599627370495
}
],
"work-units.ndjson": [
{
"session_id": "<string>",
"work_unit_id": "<string>",
"owner_actor_id": "<string>",
"first_sequence": 4503599627370495,
"last_sequence": 4503599627370495,
"event_count": 4503599627370495
}
],
"interactions.ndjson": [
{
"id": "<string>",
"session_id": "<string>",
"interaction_type": "message",
"sender_actor_id": "<string>",
"sender_thread_id": "<string>",
"receiver_actor_id": "<string>",
"receiver_thread_id": "<string>",
"work_unit_id": "<string>",
"originating_event_id": "<string>",
"mirrored_event_ids": [
"<string>"
],
"content_artifact_ids": [
"<string>"
],
"delivery": "pending",
"terminal_event_id": "<string>"
}
],
"context-snapshots.ndjson": [
{
"boundary_event_id": "<string>",
"boundary_sequence": 4503599627370495,
"boundary_type": "condensation",
"through_sequence": 4503599627370495,
"condensed": {
"user_messages": 1,
"agent_messages": 1
},
"kept": {
"user_messages": 1,
"agent_messages": 1,
"content_length": 1
},
"digest": "<string>"
}
],
"artifacts/index.ndjson": [
{
"artifact_id": "<string>",
"sha256": "<string>",
"byte_count": 536870912,
"disposition": {
"disposition": "retained"
},
"provenance_role": "model_io"
}
],
"continuation-capsules/index.ndjson": [
{
"capsule_id": "<string>",
"sha256": "<string>",
"byte_count": 536870912,
"disposition": {
"disposition": "retained"
},
"provenance_role": "handoff_evidence"
}
]
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "runtime.session_history_unavailable",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-session-history-unavailable"
}
}{
"error": {
"type": "validation.range_too_large",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-range-too-large"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Path Parameters
Pattern:
^sess_[0-9a-f]{32}$Response
one signed, self-contained Session Bundle with event coverage and ownership inside one frozen frontier
Available options:
checkfu.session-bundle Available options:
3 Pattern:
^sess_[0-9a-f]{32}$Pattern:
^wrkspc_[0-9a-f]{32}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes